#=========================================================================
# Copyright (C) VMware, Inc. 1986-2011.  All Rights Reserved.
#
# Name - small.conf
#
# Purpose - Example of how to configure a small database
#
#   Options below are suggested for configuring stone for a small database
#   The example "small" configuration is for
#     12 users, 100MB database, 25MB SPC , 1 extent
#     Your hardware should have at least 64MB (64 megabytes) of Ram.
#
#   See system.conf for a complete list of available options including
#   descriptive comments.
#
# $Id: configsmall.unix,v 1.6 2008-01-09 22:50:40 stever Exp $
#
#=========================================================================

# 25 MB shared cache.  Unix kernel must support a shared memory region of at 
# least 27 MB (including cache overhead).
SHR_PAGE_CACHE_SIZE_KB = 25000;

# Assume 1 extent of approximately 100 MB, on a file system.
# Edit this list to specify your actual file name.
# The extent size is not limited, so it could grow to fill the file system
DBF_EXTENT_NAMES = /disk1/extent0.dbf;

# Increase the free space STN_FREE_SPACE_THRESHOLD to better handle disk 
full conditions.
STN_FREE_SPACE_THRESHOLD = 2;

# Use full logging for reliability.
STN_TRAN_FULL_LOGGING = TRUE;

#  Assume 2 disk directories dedicated to tranlogs. These are on a different
#  disk than the extent.
STN_TRAN_LOG_DIRECTORIES = /disk2/tranlogs1, /disk2/tranlogs2;

#  Use the default size limit on tranlogs.
STN_TRAN_LOG_SIZES = 10, 10;

#  end of example options
#=========================================================================

#=========================================================================
#  Options below here have been added, either by the GemStone system
#  administrator, or automatically by the database monitor (Stone).
#=========================================================================

